//---------------------------------------------------------------------------

#ifndef MainCommFH
#define MainCommFH
//---------------------------------------------------------------------------
#include "VMSCommLibF.h"

int __fastcall ChangePosition(TVmsFormObj *AVmsObj);
int __fastcall MakeVmsProvideForm();
int __fastcall MakeVmsFigureFormPos(TCDSCtlr *AObj);
int __fastcall MakeVmsFigureFormPos2(TCDSCtlr *AObj);
int __fastcall MakeVmsTrafficFormPos(TCDSCtlr *AObj);
int __fastcall MakeVmsTrafficFormPos2(TCDSCtlr *AObj);
int __fastcall MakeVmsTrafficFormPos3(TCDSCtlr *AObj);
int __fastcall MakeVmsDatabaseForm(TCDSCtlr *AObj);

#endif


#if 0
case dbm_dnld_form_init:
case dbm_dnld_form_cycle:
case dbm_dnld_form_mode:
DownloadVmsForm
    MakeVmsScenarioForm
        ClearVmsProvideMode
        if (LOAD_DB) {
            if (CDSFontManager)  CDSFontManager->LoadFontNameInfo(ADbConn);
            if (CDSImageManager) CDSImageManager->LoadVmsSymbolInfo(ADbConn);
            if (CDSFormManager)  CDSFormManager->LoadVmsFormInfo(ADbConn);
            if (CDSIfscManager)  CDSIfscManager->LoadVmsIfscInfo(ADbConn);
            if (CDSAtmpManager)  CDSAtmpManager->LoadAtmpInfo(ADbConn);
        }

        //대기환경정보를 읽어온다
        nResult = CDSAtmpManager->LoadAtmpRtPnstInfo(ADbConn);
        //주차정보를 읽어온다
        nResult = CDSParkManager->LoadFromDb(ADbConn);
        //긴급차량우선신호가 발생한 정보를 VMS에 맵핑한다.
        nResult = CDSManager->LoadVmsEVehicleInf(ADbConn);
        //돌발/공사/행사가 발생한 정보를 VMS에 맵핑한다.
        nResult = CDSManager->LoadVmsEventOccrInf(ADbConn);
        // VMS구간 소통정보를 모두 읽어오자..(데이터가 많을 경우 해당되는 정보만 읽어오도록 수정
        nResult = CDSIfscManager->LoadVmsIfscTrafficInfo(ADbConn);

        //VMS의 스케줄정보를 조회한다.
        nResult = LoadVmsScheduleInfo(ADbConn);

MakeVmsProvideForm();
CDSManager->SaveVmsDownloadForm(FDb->GetConnection());
#endif

